summaryrefslogtreecommitdiffstats
path: root/office/html2ps/html2ps.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/html2ps/html2ps.SlackBuild')
-rw-r--r--office/html2ps/html2ps.SlackBuild105
1 files changed, 105 insertions, 0 deletions
diff --git a/office/html2ps/html2ps.SlackBuild b/office/html2ps/html2ps.SlackBuild
new file mode 100644
index 0000000000..fe11ff8d66
--- /dev/null
+++ b/office/html2ps/html2ps.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for html2ps
+
+# Written by Dario Nicodemi dario.sbo@gmail.com
+
+PRGNAM=html2ps
+VERSION=${VERSION:-1.0b7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install to packaging directory
+./install <<EOF
+y
+wget -s -q -O-
+n
+$PKG/usr/bin
+y
+$PKG/etc/html2ps
+y
+$PKG/usr/man/man1
+y
+$PKG/usr/man/man5
+y
+/usr/share/texmf/tex/generic/hyphen/hyphen.tex
+$PKG/usr/doc/$PRGNAM-$VERSION
+y
+A4
+
+EOF
+
+# Don't clobber the config file
+mv $PKG/etc/html2ps/html2psrc $PKG/etc/html2ps/html2psrc.new
+
+# Fix paths
+sed -i s!$PKG/!/!g $PKG/usr/bin/html2ps
+sed -i s!$PKG/!/!g $PKG/usr/man/man1/html2ps.1
+
+# Install xhtml2ps
+cp contrib/xhtml2ps/xhtml2ps $PKG/usr/bin
+chmod 0755 $PKG/usr/bin/xhtml2ps
+
+# Install desktop file and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/xhtml2ps.desktop > $PKG/usr/share/applications/xhtml2ps.desktop
+cat $CWD/xhtml2ps.png > $PKG/usr/share/pixmaps/xhtml2ps.png
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/contrib/xhtml2ps
+cp -a html2ps.ps COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a contrib/xhtml2ps/LICENSE contrib/xhtml2ps/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/contrib/xhtml2ps
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}